From: =?utf-8?q?Simon_D=C3=A9saulniers?= <sim.desaulniers@gmail.com>
Date: Tue, 12 May 2020 17:44:05 -0400
Subject: man: updated version from upstream

The appropriate version for 0.4.0 was published on the repository after
its release.
---
 doc/dpaste.1 | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)

diff --git a/doc/dpaste.1 b/doc/dpaste.1
index e823f6a..70a9b5f 100644
--- a/doc/dpaste.1
+++ b/doc/dpaste.1
@@ -6,19 +6,19 @@
 table.
 
 .SH SYNOPSIS
-.B dpaste [-h]
+.B dpaste -h
 
-.B dpaste [-v]
+.B dpaste -v
 
-.B dpaste [-g \fIcode\fP]
+.B dpaste [\fIoptions\fP...]
 
-.B dpaste [-e \fIcode\fP] [-s]
+.B dpaste -g \fIcode\fP [\fIoptions\fP...]
 
 .SH DESCRIPTION
 
 By default, \fBdpaste\fP will read its standard input for a file to paste on
 OpenDHT.  For fetching a file, you have to provide the \fIcode\fP associated to
-it using the flag \fB-g\fP. Then, \fBdpaste\fP will
+it using the flag \fB-g\fP.
 
 .SH OPTIONS
 
@@ -35,16 +35,24 @@ Shows the version of the program.
 Specifies the code \fIcode\fP used to recover the file on the DHT.
 
 .TP
-\fB-e\fP \fIrecipient\fP, \fB--encrypt\fP \fIrecipient\fP
-Specifies wether the message should be encrypted using the OpenPGP protocol. If
-so, \fIrecipient\fP is the recipient to encrypt message to. This can be any
-string that GPG will correctly parse (fingerprint, email, ...).
+\fB--aes-encrypt\fP
+Use AES scheme for encryption. Password is automatically saved in the returned
+code ("dpaste:XXXXXX").
+
+.TP
+\fB--gpg-encrypt\fP
+Use GPG scheme for encryption.
+
+.TP
+\fB-r\fP \fIrecipient\fP, \fB--recipients\fP \fIrecipient\fP
+Specify the list of recipients to use for GPG encryption (--gpg--encrypt). Use
+\fB-r\fP multiple times to specify a list of recipients.
 
 .TP
 \fB-s\fP, \fB--sign\fP
 Tells wether message should be signed using the user's GPG key. The key has to
-be configured through the configuration file
-(\fB$XDG_CONFIG_DIR/dpaste.conf\fP).
+be configured through the configuration file (\fB$XDG_CONFIG_DIR/dpaste.conf\fP,
+keyword: \fBpgp_key_id\fP).
 
 .TP
 \fB--no-decrypt\fP
